---
title: Pelican ou Hugo?
date: 2018-01-13T15:07:01+01:00
layout: post
---
Après un gros mois voir plus sur les deux *GSS*, je donne enfin mon avis sur ces deux là et dire vers lequel je compte me diriger. Pour commencer, je ne dirais pas que ça a été facile de choisir, sur les sites et forums parlant des *GSS*, il y en a une quantité pharaonique, c'est impressionnant, j'ai même l'impression qu'il y a plus de *GSS* que de *CMS* qui sont pourtant bien plus vieux et admis que ce "nouveau" layout de créations de site. Je cite donc sans tous les nommer et sans même les avoir testé, **Hugo** est le *GSS* qui ne cesse de se populariser grâce en partie à sa vitesse de compilation d'un site, en [GO](https://fr.wikipedia.org/wiki/Go_(langage)) (celui qui fait notamment tourner le blog), **[Pelican](https://blog.getpelican.com/)** le vétéran qui lui est en Python (celui-ci a ma préférence et aurait dû normalement prendre la place de Hugo.), **[Jekyll](https://jekyllrb.com/)** le plus connu de tous notamment grace à Github, **[Hexo](https://hexo.io/)** en JAVA, et bien d'autres que vous pourrez facilement voir dans les nombreux sites parlant de ce sujet comme [ici](http://designspartan.com/ressources/15-des-meilleurs-generateurs-de-sites-web-statiques/) ou [là](http://www.blogduwebdesign.com/ressources/9-generateurs-pour-creer-un-site-statique/854) ou encore par [là](https://wooster.checkmy.ws/2014/01/generateurs-sites-statiques/).

Nous sommes à un moment qui à force de pousser sur l'excentrisme et toujours faire plus pour pas grand chose, je pense notamment à mon idée d'utiliser SPIP pour faire un simple blog, mais celui-ci est peut être bien mieux dans cet emploi grâce à son cache et son économie de ressources, que d'autres qui utilisent Joomla et surtout l’énorme et complexe Drupal... Bien sûr que Joomla et Drupal sont utilisable pour faire de simples blogs mais en regardant leurs besoins de ressources se sont des gouffres, dans un autre sens, Wordpress qui est avant tout un moteur de blog demande lui aussi bien plus de ressources que mon ami SPIP, comme quoi celui-ci peut tout à fait faire ce rôle pour bien moins tout en étant capable d'évoluer si besoin vers quelque chose de plus complet et du coup plus complexe si l'envie vous dit. À dire vrai encore une fois, des trucs comme PluXml, Blogotext et aussi Dotclear sont pas mal et suffisent pour un blog, Dotclear est peut être même très complet et moins léger du coup que les deux autres mais n'ont pas les mêmes possibilités.

Et on arrive donc à nos nouvelles technologies, les *GSS*, certes je ne vois pas tout le monde sur ce layout de sites, en même temps, certains *CMS* sont bien plus complexes, je pense toujours à Drupal qui dès qu'on code un truc, ce n'est plus compatible avec la montée de version, le contenu -comme indique le site- sera toujours le centre du site et sera par là même toujours compatible sans aucun changement, par contre le code perso mis en place pour une version risque au final de ne plus l’être en passant à une nouvelle version. Déjà, pour comprendre Drupal, il faut vraiment se lever tôt et ce n'est pas mentir de le dire, il n'est pas pensé comme les autres, il y a des briques et des "je sais pas quoi", c'est assez bizarre son utilisation que je l'ai vite abandonné. Mais ce n'est pas le seul, pour parler d'un que j'ai aussi utilisé plusieurs mois, Joomla pour ne pas le citer, on obtient un truc sympa très vite mais dès que l'on veut personnaliser c'est beaucoup plus fragile et sensible aux changements. Donc là où je veut en venir, c'est que un *GSS* comme **Hugo**, au vu de ce qu'on a pu expliquer juste avant, n'est pas aussi complexe que certains *CMS*, on doit effectivement taper une ou deux commandes pour faire son site, créer son post puis compiler son site, car il est là le secret de cette nouvelle façon de faire son site, on compile réellement son site, du reste avec Pelican c'est encore plus visible, nous pouvons utiliser directement *[Make](http://docs.getpelican.com/en/stable/publish.html)*. Comme je l'ai dit, je dois toujours balancer le mode d'emplois d'un site fait de cette façon, c'est pas évident, un billet actuellement me prends plusieurs jours pour être fait, je le ferais bientôt...

Donc, me voila après avoir testé les trois plus connus, au moins ceux qui sont dans trois langages différents, je reste sur le plus simple et le plus rapide, Hugo, oui je reste sur lui pour plusieurs raisons et pas des moindres:

- c'est le plus rapide pour "compiler" le site,
- simplicité extrême d'installation, un unique binaire sans dépendances,
- disponible dans la majeur partie des distributions,
- simplicité pour comprendre la hiérarchie de son site,
- un seul fichier de configuration,
- une popularité qui ne cesse de monter,
- une communauté très vivace (la plus vivace?),
- développement actif, une sortie mensuelle voir plusieurs sorties dans le même mois,
- facile d'utilisation,
- modernité du code,
- nombreux thèmes,
- thèmes modernes,
- légèreté du site publié,
- rapidité du site (mais ça c'est dû à la nature du site: statique),
- sécurité du site (dû à la nature du site: statique),
- ...

Alors au départ bien qu'ayant commencé par Hugo, je me dirigeais plutôt du côté de Pelican, je me sentais bien mieux et pour moi la configuration en python était plus claire, j'arrivais bien plus simplement à avoir ce que je voulais et les fonctions que j'attendais que ce que je pouvais obtenir avec Hugo. Un exemple simple, les archives très bien foutues et présentées, le sont moins et encore ça dépend du thème utilisé sous Hugo, pour un peu épiloguer là dessus, je prends exemple sur mon blog et le thème actuelle, ou simplement avec le thème beautiful-hugo qui est l'original du retroful, les archives (Posts) sont présentées de la même façon que l’accueil du blog, tandis que Pelican va toujours présenter de la même façon et propre avec date et juste le titre, différemment donc de la page d’accueil, chose qui sous Hugo change selon le thème comme expliqué plus haut, je prends mon thème d'avant (blackburn), celui-ci présentait les archives de la façon que je souhaitais c'est à dire à la manière de Pelican. J'aimais bien aussi l'idée de plugins facilement ajoutables de manière simple en informant le fichier de configuration principale des plugins voulus. Chose impensable avec Hugo dû à sa conception unique binaire avec les fonctions incluses, donc si on veut ajouter une fonction, faudrait la coder, l'ajouter ensuite, rebuilder le binaire et vu les nombreuses mises à jour mensuelles, répéter l'opération aussi fréquemment que le nombre de nouvelles versions. Alors ce qui m'a aussi fait changer d'avis, c'est le temps de "compilation" du site, peu importe le *GSS* utilisé, il sera toujours moins rapide que **Hugo**, j'ai testé avec un site peu remplit de billets (30) et un autre avec pas mal de billets (320), c'est impressionnant la différence, j'ai même été jusqu’à poussé le vice en allant à un nombre de billets impressionnant, de l'ordre de 3000 billets et plus, Hugo est toujours super rapide et demande bien moins de temps -mais alors beaucoup moins- que le reste des *GSS* testé. J'ai aussi testé Jekyll qui par défaut est vraiment nue en terme de fonctions -pas de tags pour ne citer que ça-, il reste le plus long, sauf en utilisant la fonction *[incrémentale](http://idratherbewriting.com/2015/11/04/jekyll-30-released-incremental-regeneration-rocks/)*, où au lieu de mettre 12.8 sec pour 320 billets il passe directement à 2 sec, ce qui reste toujours plus long que mes 500ms (0.5sec) avec Hugo.

Après un aussi gros pavé bien indigeste comme le paragraphe précédent, je vais essayer de faire plus court, je parlerais plus tard dans un autre billet, de la différence et du pourquoi/comment utiliser un site statique (GSS) au lieu de dynamique (CMS), maintenant que je sais quel sera le moteur de ce blog, maintenant que j'en suis sûr, je vais pouvoir compléter, rapporter des billets de Wordpress que je garde au chaud pour les corriger, bien que certains sont déjà présent, va falloir que je regarde pour faire une catégorie "archives wordpress" et un tag allant avec cette catégorie.

Pour finir j'ai toujours autant de plaisir à utiliser mon petit éditeur directement sur ma machine et non via un espace admin depuis mon navigateur comme quoi le bonheur dépend de pas grand chose.
