---
title: Le projet Fedora annonce qu'il utilisera BTRFS en tant que système de fichiers par défaut à compter de la Fedora 33.
date: 2020-08-30T11:37:00+02:00
---

J'apprends en effet via le [fedoramagazine](https://fedoramagazine.org/) que Le projet Fedora annonce qu'il utilisera BTRFS en tant que système de fichiers par défaut, là où Red Hat déclare que Btrfs n’est plus de la partie pour RHEL dans sa note de publication Red Hat Enterprise Linux (RHEL) 7.4:

> « The Btrfs file system has been in Technology Preview state since the initial release of Red Hat Enterprise Linux 6. Red Hat will not be moving Btrfs to a fully supported feature and it will be removed in a future major release of Red Hat Enterprise Linux. »

Btrfs est toujours activement développé par Facebook, Fujitsu, SUSE et Oracle. Btrfs est utilisé par défaut sur openSUSE (et SUSE Linux Enterprise) depuis 2014, et Facebook l'utilise depuis presque aussi longtemps pour tous ses systèmes d'exploitation et volumes de données, dans ses centres de données.

On ne pourra que regretter Canonical ait préféré s'orienter vers OpenZFS et que Red Hat ait écarté Btrfs en 2017 pour s'orienter depuis vers Stratis. On peut se demander où en serait Btrfs aujourd'hui si ce système de fichiers avait reçu le support de Canonical et de Red Hat. 

Si Fedora supporte Btrfs, alors Red Hat pourrait changer d'avis.

--------

# Btrfs arrive sur Fedora 33
*par Chris Murphy et Langdon White*

Les données utilisateur sont la chose la plus importante sur un ordinateur. Qu'il s'agisse du code source de la prochaine grande version, des photos de famille, d'une bibliothèque musicale ou de toute autre chose, vous voulez qu'il soit sûr. La modification du système de fichiers par défaut n'est pas une modification à faire par hasard. Le projet Fedora change le système de fichiers par défaut des variantes de bureau (Fedora Workstation, Fedora KDE, etc.), pour la première fois depuis Fedora 11. Btrfs remplacera ext4 comme système de fichiers par défaut dans Fedora 33.

## Qu'est ce que cela signifie pour moi?

Btrfs est un système de fichiers stable et mature doté de fonctionnalités modernes: intégrité des données, optimisations pour les SSD, compression, instantanés inscriptibles bon marché, prise en charge de plusieurs périphériques, etc.

Le passage à Btrfs utilisera une disposition de disque à partition unique et la gestion des volumes intégrée de Btrfs. La mise en page par défaut précédente imposait des contraintes sur l'utilisation du disque qui peuvent être un ajustement difficile pour les utilisateurs novices. Btrfs résout ce problème en l'évitant.

En tant que technicien, vous avez peut-être entendu parler de la pourriture des bits et des retournements de bits de mémoire. Les données peuvent être corrompues par une multitude de facteurs physiques, même les rayons cosmiques du soleil! Avant qu'un SSD ne tombe complètement en panne, il renverra souvent des zéros ou des déchets, au lieu de vos données. Btrfs protège vos données avec des sommes de contrôle et effectue une vérification à chaque lecture. Les données corrompues ne sont jamais transmises à vos programmes et elles ne seront pas répliquées dans vos sauvegardes pour être découvertes un autre jour (ou une autre année).

Btrfs utilise un modèle «copie sur écriture»: vos données et le système de fichiers lui-même ne sont jamais écrasés. Cela améliore la sécurité en cas de collision. Lors de la copie d'un fichier, Btrfs n'écrit pas de nouvelles données tant que vous ne modifiez pas les anciennes données, ce qui économise de l'espace.

En fait, les utilisateurs économiseront plus d'espace en utilisant la compression transparente de Btrfs. La compression des données réduit le nombre total d'écritures, économise de l'espace et prolonge la durée de vie du lecteur flash. Dans de nombreux cas, cela peut également améliorer les performances. La compression peut être activée sur un système de fichiers entier, ou par sous-volume, répertoire et même par fichier. Vous pourrez choisir d'utiliser la compression dans Fedora 33. Et c'est l'une des fonctionnalités dont nous sommes impatients de profiter par défaut dans les futures versions de Fedora.

## De confiance

Facebook utilise Btrfs sur des millions de machines en production. Ils comparent sa stabilité à ext4 et XFS (un autre système de fichiers disponible dans Fedora). En fait, ils utilisent Btrfs pour «améliorer» la qualité du matériel de stockage grand public qu'ils utilisent en production. Btrfs détecte les problèmes avant que le matériel ne tombe en panne.

(open) SUSE utilise Btrfs depuis de nombreuses années maintenant, y compris SUSE Linux Enterprise Server (SLES). Vous ne pouvez pas imaginer une entreprise qui fournit une assistance aux clients qui expédient des logiciels auxquels ils ne font pas totalement confiance.

## Et après?

Le changement est un code complet et peut être testé dans Rawhide comme système de fichiers par défaut depuis début juillet. Btrfs est explicitement pris en charge dans Fedora depuis 2012. Cela devrait être un changement transparent pour la plupart des utilisateurs, mais il est toujours significatif. Fedora veillera à offrir l'expérience fiable et fiable attendue par les utilisateurs de Fedora.

Remerciements particuliers à: Ben Cotton, Michael Catanzaro et le groupe de travail Fedora Workstation pour leur contribution à cet article.

Source: [Btrfs Coming to Fedora 33](https://fedoramagazine.org/btrfs-coming-to-fedora-33/)
